<?php
namespace App\ViewModels\GaleriaClassificacao\GaleriaClassificacaoRegistrationViewModel;

use App\Utils\Builder;

class GaleriaClassificacaoRegistrationViewModelBuilder implements Builder
{
    protected $antes;
    protected $depois;
    protected $descricao;

    public function build() : GaleriaClassificacaoRegistrationViewModel
    {
        $procedimento_registration_vm = new GaleriaClassificacaoRegistrationViewModel ();
        $procedimento_registration_vm->setAntes($this->antes);
        $procedimento_registration_vm->setDepois($this->depois);
        $procedimento_registration_vm->setDescricao($this->descricao);
        return $procedimento_registration_vm;
    }

    public function setAntes($antes)
    {
        $this->antes = $antes;
        return $this;
    }

    public function setDepois($depois)
    {
        $this->depois = $depois;
        return $this;
    }

    public function setDescricao($descricao)
    {
        $this->descricao = $descricao;
        return $this;
    }





}